Bug 24623 - Oops in sound_release with a CS4236
Summary: Oops in sound_release with a CS4236
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard: Florence Gold
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-22 18:12 UTC by Pekka Pietikäinen
Modified: 2007-04-18 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-23 17:49:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pekka Pietikäinen 2001-01-22 18:12:52 UTC
I found this in my dmesg in beta2, soundcard is a cs4236. Looking at
2.4.0-ac10 
it has a fix for this (ad1848.c)

Cc:d to alan as he can probably verify this :)

Unable to handle kernel NULL pointer dereference at virtual address
00000000
c4889940
*pde = 00000000
Oops: 0000
CPU:    0
EIP:    0010:[<c4889940>]
Using defaults from ksymoops -t elf32-i386 -a i386
EFLAGS: 00010256
eax: 00000000   ebx: c085ada0   ecx: c085ada0   edx: 00000000
esi: c3d96e20   edi: c350c260   ebp: c3a16de0   esp: c3efdf74
ds: 0018   es: 0018   ss: 0018
Process xmixer (pid: 16653, stackpage=c3efd000)
Stack: c0131646 c350c260 c085ada0 c085ada0 00000000 00000000 bffff8a8
c01307c3 
       c085ada0 c17165e0 00000000 c085ada0 00000000 c085ada0 0805acc8
c0130813 
       c085ada0 c17165e0 c3efc000 c010a607 00000004 bffff8a8 00000000
0805acc8 
Call Trace: [<c0131646>] [<c01307c3>] [<c0130813>] [<c010a607>] 
Code: 8b 00 85 c0 74 47 ff 48 10 8b 82 58 5c 89 c4 8b 00 83 48 14 

>>EIP; c4889940 <[sound]sound_release+30/80>   <=====
Trace; c0131646 <fput+36/d0>
Trace; c01307c3 <filp_close+53/60>
Trace; c0130813 <sys_close+43/50>
Trace; c010a607 <system_call+33/38>
Code;  c4889940 <[sound]sound_release+30/80>
00000000 <_EIP>:
Code;  c4889940 <[sound]sound_release+30/80>   <=====
   0:   8b 00                     mov    (%eax),%eax   <=====
Code;  c4889942 <[sound]sound_release+32/80>
   2:   85 c0                     test   %eax,%eax
Code;  c4889944 <[sound]sound_release+34/80>
   4:   74 47                     je     4d <_EIP+0x4d> c488998d
<[sound]sound_release+7d/80>
Code;  c4889946 <[sound]sound_release+36/80>
   6:   ff 48 10                  decl   0x10(%eax)
Code;  c4889949 <[sound]sound_release+39/80>
   9:   8b 82 58 5c 89 c4         mov    0xc4895c58(%edx),%eax
Code;  c488994f <[sound]sound_release+3f/80>
   f:   8b 00                     mov    (%eax),%eax
Code;  c4889951 <[sound]sound_release+41/80>
  11:   83 48 14 00               orl    $0x0,0x14(%eax)

Comment 1 Glen Foster 2001-01-23 17:48:58 UTC
This defect is considered MUST-FIX for Florence Gold release

Comment 2 Pekka Pietikäinen 2001-01-30 10:37:36 UTC
Fixed by the new kernel in Fisher


Note You need to log in before you can comment on or make changes to this bug.